%define upstream_name    Language-Befunge-Vector-XS
%define upstream_version 1.1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Language::Befunge::Vector rewritten for speed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Language/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl-devel

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
The Language::Befunge module makes heavy use of n-dims vectors,
mapped to the Language::Befunge::Vector class. This allows to
abstract the funge dimension while still keeping the same code for the
operations.

However, such an heavy usage does have some impact on the performances.
Therefore, this modules is basically a rewrite of LBV in XS. If
installed, then LBV will automagically load it and replace its own
functions with the XS ones.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Aug 21 2009 Jérôme Quelin <jquelin@mandriva.org> 1.1.0-3mdv2010.0
+ Revision: 418942
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-2mdv2009.0
+ Revision: 268537
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-1mdv2009.0
+ Revision: 217097
- update to new version 1.1.0

* Sun Feb 10 2008 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-2mdv2008.1
+ Revision: 164786
- cleaning description (removing pod markers)

* Thu Feb 07 2008 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 163584
- import perl-Language-Befunge-Vector-XS


